/*Program Example 3.3: Flashes one of two LEDs, depending on the state of a 2-way switch
                                                                            */
#include "mbed.h"
DigitalOut redled(D0);
DigitalOut greenled(D1);
DigitalIn  switchinput(D2);

int main()
{
    while(1) {
        if (switchinput==1) {       //test value of switchinput
            //execute following block if switchinput is 1
            greenled = 0;           //green led is off
            redled = 1;             // flash red led
            wait(0.2);
            redled = 0;
            wait(0.2);
        }                           //end of if
        else {                      //here if switchinput is 0
            redled = 0;             //red led is off
            greenled = 1;           // flash green led
            wait(0.2);
            greenled = 0;
            wait(0.2);
        }                           //end of else
    }                               //end of while(1)
}
