/*Program Example 5.5: Inputs signal through ADC, and outputs to DAC.
View DAC output on oscilloscope. To demonstrate Nyquist, connect variable
frequency signal generator to ADC input. Allows measurement of conversion
times, and explores Nyquist limit.
                                                                            */
#include "mbed.h"
AnalogOut Aout(DAC0);      //defines analog output on Pin DAC0
AnalogIn Ain(A0);        //defines analog input on Pin A0
DigitalOut test(p21);
float ADCdata;

int main() {
  while(1) {
    ADCdata=Ain;   //starts A-D conversion, and assigns analog value to ADCdata
    test=1;        //switch test output, as time marker
    test=0;
    Aout=ADCdata;  // transfers stored value to DAC, and forces a D-A conversion
    test=1;        //a double pulse, to mark the end of conversion
    test=0;
    test=1;
    test=0;
    //wait(0.001);    //optional wait state, to explore different cycle times
   }
}
